Update organization details
PATCH/v1/organization
This route allows you to update the details of your Port organization, such as its name and hidden blueprints.
Request
Request body schema (JSON)
{
"title": "Body",
"body": {
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"name": {
"type": "string",
"description": "The name of the organization."
},
"settings": {
"type": "object",
"properties": {
"hiddenBlueprints": {
"type": "array",
"items": {
"type": "string"
},
"description": "An array of blueprint identifiers that should be hidden."
},
"federatedLogout": {
"type": "boolean"
},
"portalIcon": {
"type": [
"string",
"null"
]
},
"portalTitle": {
"type": "string",
"maxLength": 30
},
"supportUserPermission": {
"type": "string",
"enum": [
"OPT_OUT",
"OPT_IN"
],
"description": "Permission level for Port support users accessing this organization"
},
"supportUserTTL": {
"type": "string",
"enum": [
"ONE_DAY",
"ONE_WEEK",
"ONE_MONTH",
"FOREVER"
],
"description": "Time-to-live for Port support user access"
},
"supportUserExpiresAt": {
"type": "string",
"format": "date-time",
"description": "Expiration date for Port support user access"
},
"portAgentStreamerName": {
"type": "string",
"enum": [
"KAFKA",
"POLLING"
],
"description": "Streamer name for Port agent (KAFKA or POLLING)."
},
"includeBlueprintsInGlobalSearchByDefault": {
"type": "boolean",
"description": "The org-level default for whether blueprints are included in global search. Individual blueprints can override this via includeInGlobalSearch."
},
"forceNewLayout": {
"type": "boolean",
"description": "Force the new layout for all users in the organization."
},
"disableClassicActions": {
"type": "boolean",
"description": "Hide classic actions and automations from the UI in favor of workflows."
},
"hiddenGlobalSearchTabs": {
"type": "array",
"items": {
"type": "string",
"enum": [
"all",
"blueprint",
"page",
"action",
"workflow",
"entity",
"markdown"
]
},
"description": "Global search tabs that should be hidden from the spotlight search UI. At least one content tab must remain visible; All cannot be the only visible tab."
},
"themeColor": {
"type": "string",
"enum": [
"neutral",
"green",
"pink",
"blue",
"purple",
"orange"
],
"description": "The theme color applied to the UI for all users in the organization."
}
}
},
"isOnboarded": {
"type": "boolean"
},
"toolSelectionProvisioning": {
"type": "object",
"properties": {
"status": {
"type": "string",
"enum": [
"IN_PROGRESS",
"DONE"
]
}
},
"additionalProperties": false,
"required": [
"status"
]
},
"announcement": {
"type": "object",
"properties": {
"enabled": {
"type": "boolean"
},
"content": {
"type": "string",
"maxLength": 300,
"minLength": 1
},
"link": {
"type": [
"string",
"null"
],
"maxLength": 300
},
"color": {
"type": "string",
"enum": [
"blue",
"red",
"green",
"yellow",
"orange",
"pink",
"purple",
"turquoise"
]
}
}
}
},
"additionalProperties": false
}
}
}
}
}Responses
- 200
- 401
- 404
- 413
- 422
Updated successfully.
Default Response
A resource with the provided identifier was not found
Request body is too large (limit is 1MiB)
The json provided does not match the route's schema
Responses (JSON)
{
"responses": {
"200": {
"description": "Updated successfully.",
"content": {
"application/json": {
"schema": {
"type": "object",
"properties": {
"ok": {
"enum": [
true
]
}
},
"additionalProperties": false,
"required": [
"ok"
],
"description": "Updated successfully."
}
}
}
},
"401": {
"description": "Default Response",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false
}
}
}
},
"404": {
"description": "A resource with the provided identifier was not found",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "A resource with the provided identifier was not found"
}
}
}
},
"413": {
"description": "Request body is too large (limit is 1MiB)",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error"
],
"additionalProperties": false,
"description": "Request body is too large (limit is 1MiB)"
}
}
}
},
"422": {
"description": "The json provided does not match the route's schema",
"content": {
"application/json": {
"schema": {
"properties": {
"ok": {
"const": false
},
"error": {
"type": "string"
},
"message": {
"type": "string"
}
},
"required": [
"ok",
"error",
"message"
],
"additionalProperties": false,
"description": "The json provided does not match the route's schema"
}
}
}
}
}
}